Skip to main content
GET
/
v1
/
loans
/
{id}
Get Loan Application
curl --request GET \
  --url https://sandbox-api.itscovered.com/lenders/v1/loans/{id} \
  --header 'Authorization: Bearer <token>'
{
  "borrowers": [
    {
      "currentAddress": {
        "city": "San Francisco",
        "state": "CA",
        "street": "123 Main St",
        "zip": "94101",
        "county": "San Francisco",
        "street2": "Apt 123"
      },
      "email": "john.doe@example.com",
      "firstName": "John",
      "isPrimary": true,
      "lastName": "Doe",
      "phone": "1234567890",
      "dob": "1990-01-01",
      "formerAddress": {
        "city": "San Francisco",
        "state": "CA",
        "street": "123 Main St",
        "zip": "94101",
        "county": "San Francisco",
        "street2": "Apt 123"
      },
      "gender": "MALE",
      "mailingAddress": {
        "city": "San Francisco",
        "state": "CA",
        "street": "123 Main St",
        "zip": "94101",
        "county": "San Francisco",
        "street2": "Apt 123"
      },
      "maritalStatus": "SINGLE"
    }
  ],
  "currentInsurancePolicies": [
    {
      "carrier": "<string>",
      "coverages": {
        "a": {
          "amount": 123,
          "included": true
        },
        "b": {
          "amount": 123,
          "included": true
        },
        "c": {
          "amount": 123,
          "included": true
        },
        "computers": {
          "amount": 123,
          "included": true
        },
        "d": {
          "amount": 123,
          "included": true
        },
        "e": {
          "amount": 123,
          "included": true
        },
        "f": {
          "amount": 123,
          "included": true
        },
        "hvac": {
          "amount": 123,
          "included": true
        },
        "mineSubsidence": {
          "amount": 123,
          "included": true
        },
        "waterBackup": {
          "amount": 123,
          "included": true
        }
      },
      "deductible": 123,
      "expirationDate": "<string>",
      "policyNumber": "<string>",
      "policyType": "HO3",
      "premium": 123
    }
  ],
  "hostedDisplayUrl": "https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4",
  "id": "0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d",
  "loanNumber": "1234567890",
  "property": {
    "address": {
      "city": "San Francisco",
      "state": "CA",
      "street": "123 Main St",
      "zip": "94101",
      "county": "San Francisco",
      "street2": "Apt 123"
    }
  },
  "status": "RC1_RATING",
  "closingDate": "2025-01-01T00:00:00.000Z",
  "contactPageUrl": "https://getquote.itscovered.com/contact/0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d",
  "externalId": "1234567890",
  "loanAmount": 100000,
  "loanOfficer": {
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe",
    "phone": "1234567890"
  },
  "loanPurpose": "PURCHASE",
  "loanType": "MORTGAGE",
  "shortHostedDisplayUrl": "https://cvd.io/abc123"
}
This endpoint is rate limited. See Rate Limits for more details.

Authorizations

Authorization
string
header
required

JWT Token

Path Parameters

id
string
required

The unique identifier of the loan application

Example:

"693f2f46-69ff-4f20-a4d9-abe982d34fd4"

Response

The response to getting a loan application

borrowers
(PrimaryBorrower · object | CoBorrower · object)[]
required

The borrower details

currentInsurancePolicies
object[]
required
hostedDisplayUrl
string<uri>
default:""
required

The URL to display the loan application shop

Example:

"https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4"

id
string
required

Loan application ID

Example:

"0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d"

loanNumber
string
required

The loan number

Example:

"1234567890"

property
Property · object
required

The property details

status
enum<string>
required

The status of the loan application shop

Available options:
NOT_YET_RATED,
RC1_RATING,
RC1_RATED,
RC2_RATING,
RC2_RATED,
RC1_ERRORED,
CLOSED_WON,
CLOSED_LOST
Example:

"RC1_RATING"

closingDate
null | string<date>

The closing date of the loan (ISO string)

Example:

"2025-01-01T00:00:00.000Z"

contactPageUrl
null | string<uri>

URL for the contact page for this loan application

Example:

"https://getquote.itscovered.com/contact/0f1a6ab7-2b4b-4d4d-aa9b-47086e80794d"

externalId
string

An external identifier passed in when the loan application was created. Defaults to loanNumber

Example:

"1234567890"

loanAmount
null | number

The loan amount

Example:

100000

loanOfficer
object

The loan contact information

loanPurpose
null | enum<string>

The purpose of the loan

Available options:
PURCHASE,
REFINANCE,
CONSTRUCTION,
CONSTRUCTION PERM,
MORTGAGE MODIFICATION,
LAND_LOT,
OTHER
Example:

"PURCHASE"

loanType
null | enum<string>

The type of the loan

Available options:
MORTGAGE,
HELOC,
HELOAN,
UNKNOWN_LOAN_TYPE
Example:

"MORTGAGE"

shortHostedDisplayUrl
null | string<uri>

Short URL for the hosted borrower quote experience, when available

Example:

"https://cvd.io/abc123"